// =====================================================================
//  $Id: TDateCommand.cc,v 1.3 2003/10/06 17:02:37 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: TDateCommand.cc,v $
//  Revision 1.3  2003/10/06 17:02:37  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:17:31  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TDateCommand.hh"

static const Tstring _name = "/system/date";
static const Tstring _desc = "print date and time information.";

TDateCommand::TDateCommand( TRunManager* manager )
  : TCommand( manager, _name, _desc ), theSystemClock()
{;}

TDateCommand::~TDateCommand()
{;}

Tvoid TDateCommand::Execute( const TstringList& arguments )
{
  Tcout << theSystemClock.WhatTimeIsItNow() << Tendl;
  return;
}
